#ifndef _theplu_speclust_lib_distance_pearson_
#define _theplu_speclust_lib_distance_pearson_

// $Id: DistancePearson.h 216 2011-11-27 05:57:39Z peter $

// Copyright (C) 2004, 2005 Peter Johansson
// Copyright (C) 2006 Markus Ringnér
// Copyright (C) 2011 Peter Johansson
//
// This file is part of speclust, http://bioinfo.thep.lu.se/speclust.html
//
// Speclust is free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free Software
// Foundation; either version 3 of the License, or (at your option) any later
// version.
//
// Speclust is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
// A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along with
// speclust. If not, see <http://www.gnu.org/licenses/>.

#include "Distance.h"

#include <cmath>
#include <vector>

namespace theplu {
namespace speclust {

	class DistancePearson : public Distance
	{
	public:
		double operator()(const std::vector<double>&, const std::vector<double>&,
											double) const;
	};

}} // of namespace speclust and namespace theplu
#endif
