#ifndef THEP_LU_SPECLUST_TREE_NODE_H
#define THEP_LU_SPECLUST_TREE_NODE_H

// $Id: TreeNode.h 228 2012-09-13 22:45:17Z peter $

// Copyright (C) 2004 Markus Ringnér
// Copyright (C) 2005, 2011 Peter Johansson
//
// This file is part of speclust, http://bioinfo.thep.lu.se/speclust.html
//
// Speclust is free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free Software
// Foundation; either version 3 of the License, or (at your option) any later
// version.
//
// Speclust is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
// A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along with
// speclust. If not, see <http://www.gnu.org/licenses/>.


namespace theplu {
  namespace speclust {

    class TreeNode
    {
    public:
      TreeNode(int i, int j, double d)
      {
	i_ = i; j_ = j; dist_ = d;
      }

      double distance() const {return dist_;}
      int i() const {return i_;}
      int j() const {return j_;}

    private:
      int i_, j_;
      double dist_;

    };

  }} // end namespaces

#endif
